#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
	class MainWindow;
}

class View3d;

class MainWindow : public QMainWindow
{
	Q_OBJECT
	
public:
	explicit MainWindow(QWidget *parent = 0);
	~MainWindow();
	
protected:
	void changeEvent(QEvent *e);
	void closeEvent(QCloseEvent *);
	void loadSettings();

public slots:
	void file_open();
	void file_save();
	void help_about();
	void help_about_qt();
	void loadMesh(const QString &filename);

private:
	Ui::MainWindow *ui;
	View3d *view3d;
};

#endif // MAINWINDOW_H
